CREATE TABLE VS4TBOQMaterial
	(
	TBQMTBQBTBOQNo nvarchar(30) NOT NULL,
	TBQMTBQBLn int NOT NULL,
	TBQMTSpdStep int NOT NULL,
	TBQMLn int NOT NULL,
	TBQMTJstLn int NULL,
	TBQMLevel int NULL,
	TBQMMatType smallint NULL,
	TBQMNo int NULL,
	TBQMAlternative smallint NULL,
	TBQMType smallint NULL,
	TBQMTJPdNo nvarchar(30) NULL,
	TBQMTPdtCode nvarchar(30) NULL,
	TBQMTSepCode nvarchar(30) NULL,
	TBQMProductCode nvarchar(30) NULL,
	TBQMProductName nvarchar(150) NULL,
	TBQMCustom1 nvarchar(30) NULL,
	TBQMCustom2 nvarchar(30) NULL,
	TBQMCustom3 nvarchar(30) NULL,
	TBQMCustom4 nvarchar(30) NULL,
	TBQMCustom5 nvarchar(30) NULL,
	TBQMQuantity float(53) NULL,
	TBQMUseStock float(53) NULL,
	TBQMUseOrder float(53) NULL,
	TBQMTotalUsed float(53) NULL,
	TBQMTotalDif float(53) NULL,
	TBQMUnitCode nvarchar(15) NULL,
	TBQMQuantity2 float(53) NULL,
	TBQMUseStock2 float(53) NULL,
	TBQMUseOrder2 float(53) NULL,
	TBQMTotalUsed2 float(53) NULL,
	TBQMTotalDif2 float(53) NULL,
	TBQMUnitCode2 nvarchar(15) NULL,
	TBQMQuantity3 float(53) NULL,
	TBQMUseStock3 float(53) NULL,
	TBQMUseOrder3 float(53) NULL,
	TBQMTotalUsed3 float(53) NULL,
	TBQMTotalDif3 float(53) NULL,
	TBQMUnitCode3 nvarchar(15) NULL,
	TBQMRemark nvarchar(150) NULL,
	TBQMFlag1 smallint NULL,
	TBQMFlag2 smallint NULL,
	TBQMFlag3 smallint NULL
	)  ON [PRIMARY]
GO
ALTER TABLE VS4TBOQMaterial ADD CONSTRAINT
	PK_VS4TBOQMaterial PRIMARY KEY CLUSTERED 
	(
	TBQMTBQBTBOQNo,
	TBQMTBQBLn,
	TBQMTSpdStep,
	TBQMLn
	) ON [PRIMARY]

GO
